Create a Comment
- POST /comments/{resource_type}/{resource_id}
Creates a comment for the given Resource.
Path Parameters
-
resource_typestringrequired -
The kind of Resource that a Comment belongs to. Should be one of [elasticsearch, kibana, apm, appsearch, enterprise_search, integrations_server, allocator, constructor, runner, proxy].
-
resource_idstringrequired -
Id of the Resource that a Comment belongs to.
Responses
The Comment that was just created.
-
idstringrequired -
The id of this Comment
-
user_idstringrequired -
The user id of the user who wrote this Comment
-
messagestringrequired -
The message content of this Comment
Response Headers
-
x-cloud-resource-versionstring The resource version, which is used to avoid update conflicts with concurrent operations
-
x-cloud-resource-createdstring The date-time when the resource was created (ISO format relative to UTC)
-
x-cloud-resource-last-modifiedstring The date-time when the resource was last modified (ISO format relative to UTC)
Your current session does not have a user id associated with it. (code: comments.no_user_id)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
No Resource of the given type and id exist. (code: comments.resource_does_not_exist)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
A Comment already exists with the generated id. Please try again. (code: comments.id_already_exists)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response